Summary: Downloader for X that supports resuming and many other features.
Name: nt
Version: 1.30
Release: fr1
Group: Applications/Internet
Copyright: Artistic
URL: http://www.krasu.ru/soft/chuchelo/
Source: http://www.krasu.ru/soft/chuchelo/files/nt-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-root
Requires: gtk+ >= 1.2.0, libstdc++
BuildRequires: gtk+-devel, libstdc++-devel

%description
This program lets you download files from the internet using either the ftp
or http protocols. The main features are : Multithread, user-friendly GTK+
interface, resuming, multiple simultaneous downloads, recursive downloads
with wildcard and filter support, HTML links change for offline browsing,
proxy support, bandwidth limitation, scheduling, mass download, ftp search,
and many others!

%prep
%setup -q

%build
make -C main CCFLAGS="${RPM_OPT_FLAGS}" \
	LDFLAGS="${RPM_OPT_FLAGS} -s" \
	DEST=%{_prefix}

%install
rm -rf %{buildroot}

# Paths used here, redefined just in case
%define _bindir		%{_prefix}/bin
%define _datadir	%{_prefix}/share

mkdir -p %{buildroot}%{_bindir}
%makeinstall -C main DEST=%{buildroot}%{_prefix}

# Install everything else
install -D -m 644 nt.1 %{buildroot}%{_mandir}/man1/nt.1
install -D -m 644 nt.desktop %{buildroot}%{_datadir}/gnome/apps/Internet/nt.desktop
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 *.png *.xpm %{buildroot}%{_datadir}/pixmaps/
install -D -m 644 nt.wmconfig %{buildroot}%{_sysconfdir}/X11/wmconfig/nt

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ChangeLog FAQ* LICENSE NAMES PLANS README* THANKS TODO TROUBLES
%{_bindir}/nt
%{_sysconfdir}/X11/wmconfig/nt
%{_datadir}/d4x
%{_datadir}/gnome/apps/Internet/nt.desktop
%{_datadir}/locale/*/LC_MESSAGES/nt.mo
%{_datadir}/pixmaps/*
%{_mandir}/man1/nt.1*

%changelog
* Sat Nov 24 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.30.

* Sun Sep  9 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.29.

* Mon Aug 13 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.28.1.

* Wed Aug  1 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.28.

* Wed May  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup for Red Hat 7.1.

* Mon Oct 30 2000 Maxim Koshelev <mdem@chat.ru>
- fixed building under RH-70 or Mandrake-7x

